var gulp = require('gulp')
var proper = require('../')
var wrap = require('gulp-wrap')

module.exports.default = function () {
  return gulp.src('./content/*')
    .pipe(proper())
    .pipe(wrap(layout))
    .pipe(gulp.dest('./site'))
}

function layout ({ file, contents }) {
  contents.title = contents.title.toUpperCase()
  file.extname = '.html'

  return '<h1><%= contents.title%></h1><p><%= contents.message%></p>'
}
